Page MenuHomePhabricator

Get a measure of daily usage of wikimetrics by userbase
Closed, ResolvedPublic

Description

Get a measure of daily usage of wikimetrics by userbase by measuring requests made to apache.

Use logster to inspect apache logs daily to get number of requests (not pageviews)

Event Timeline

Nuria created this task.Mar 27 2015, 4:24 PM
Nuria raised the priority of this task from to Needs Triage.
Nuria updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2015, 4:24 PM

Change 200182 had a related patch set uploaded (by Nuria):
Add counter for absolute number of lines on log

https://gerrit.wikimedia.org/r/200182

Nuria set Security to None.
Nuria moved this task from Next Up to In Code Review on the Analytics-Kanban board.
kevinator triaged this task as Normal priority.Mar 30 2015, 2:14 PM

Change 200182 merged by Ottomata:
Add counter for absolute number of lines on log

https://gerrit.wikimedia.org/r/200182

Change 201407 had a related patch set uploaded (by Nuria):
Reducing polling of report screen when not visible

https://gerrit.wikimedia.org/r/201407

Change 201407 merged by Milimetric:
Reducing polling of report screen when not visible

https://gerrit.wikimedia.org/r/201407

Change 202404 had a related patch set uploaded (by Nuria):
Adding metric 'wikimetrics successful reports' to statsd labs

https://gerrit.wikimedia.org/r/202404

Change 202404 merged by Ottomata:
Adding metric 'wikimetrics successful reports' to statsd labs

https://gerrit.wikimedia.org/r/202404

Change 203186 had a related patch set uploaded (by Milimetric):
Add basic piwik usage tracking

https://gerrit.wikimedia.org/r/203186

Change 203186 merged by Milimetric:
Add basic piwik usage tracking

https://gerrit.wikimedia.org/r/203186

Milimetric closed this task as Resolved.Apr 23 2015, 4:05 PM

Merged and deployed piwik analytics code.